#import <AppKit/AppKit.h>

@interface IcoMakerCtrl : NSObject
{
	id	winset;
	id	mainWinCtrl;
}

- (id)init;
- (void)dealloc;

- (void)openFile:(id)sender;
- (void)createNewImage:(id)sender;
- (void)readImage:(id)sender;
- (void)revert:(id)sender;
- (void)saveImage:(id)sender;
- (void)saveImageAs:(id)sender;
- (void)saveAsTiff:(id)sender;

/* Based on NSMenuActionResponder's Protocol */
- (BOOL)validateMenuItem:(NSMenuItem *)aMenuItem;

/* notice from WinControl */
- (void)didBecomeMain:(id)sender;
- (void)willBeClosed:(id)sender;

/* App's Delegate */
- (void)applicationDidFinishLaunching:(NSNotification *)notification;
- (BOOL)application:(NSApplication *)theApplication openFile:(NSString *)filename;
- (BOOL)applicationShouldTerminate:(NSApplication *)sender;

/* To receive services, implement these methods (delegate) */
- validRequestorForSendType:(NSString *)sendType returnType:(NSString *)returnType;
- (BOOL)readSelectionFromPasteboard:(NSPasteboard *)pb;

@end
